get
https://api.picussecurity.com/v1/apv/simulations//runs//exposures
Lists the exposures discovered during a run.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
About
Lists the exposures found during a simulation run, each with its severity, category, impact and MITRE mapping with severity and mitigation potential distribution.
Example
List the first two exposures of run {run_uuid} of simulation {simulation_uuid}.
curl --request GET \
--url 'https://api.picussecurity.com/v1/apv/simulations/{simulation_uuid}/runs/{run_uuid}/exposures?limit=2&offset=0' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer access_token'{
"categories": {
"AdversarialTechnique": 36,
"KnownExploitableVulnerabilities": 3,
"Weaknesses": 53
},
"exposures": [
{
"category": "AdversarialTechnique",
"count": 3,
"description": "NTLM hash reuse detected",
"impact": ["Lateral Movement"],
"mitre": "T1550.002",
"name": "Pass-the-Hash",
"severity": "High"
},
{
"category": "AdversarialTechnique",
"count": 1,
"description": "Dumped credentials from LSASS",
"impact": ["Credential Access"],
"mitre": "T1003.001",
"name": "LSASS Memory Dump",
"severity": "Critical"
}
],
"mitigation_potential": {
"partially": 17,
"totally": 75
},
"pages": {
"limit": 2,
"offset": 0,
"total_count": 41
},
"severity": {
"critical": 35,
"high": 13,
"medium": 14,
"low": 17,
"info": 13
},
"total_exposure_count": 92
}